%define _name           flac
%define major           8
%define libflac_name    %mklibname %{_name} %{major}

Name:           ocaml-flac
Version:        0.1.3
Release:        %mkrel 7
Summary:        OCaml interface for FLAC (Free Lossless Audio Codec)
License:        GPL
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-flac
Source0:        https://github.com/savonet/ocaml-flac/releases/download/%version/ocaml-flac-%{version}.tar.gz
Patch0:		debug.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  pkgconfig(flac)
Requires:       %{libflac_name}
Requires:       ocaml-ogg

%description
This package contains an OCaml interface for 
the Free Lossless Audio Codec otherwise known as FLAC.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libflac-devel
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/flac
make install

%files
%doc README COPYING CHANGES
%dir %{_libdir}/ocaml/flac
%{_libdir}/ocaml/flac/META
%{_libdir}/ocaml/flac/*.cmi
%{_libdir}/ocaml/flac/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/flac/*.a
%{_libdir}/ocaml/flac/*.cmxa
%{_libdir}/ocaml/flac/*.cmx
%{_libdir}/ocaml/flac/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.1.3-7.mga8
+ Revision: 1670444
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.1.3-6.mga8
+ Revision: 1551354
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1.3-5.mga8
+ Revision: 1543702
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.1.3-4.mga8
+ Revision: 1482102
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.1.3-3.mga7
+ Revision: 1324213
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-2.mga7
+ Revision: 1299871
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 tv <tv> 0.1.3-1.mga7
+ Revision: 1180213
- new release
- new URL
- patch0: fix debuginfo
- rebuild for new ocaml
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-8.mga5
+ Revision: 747252
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-7.mga5
+ Revision: 683035
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-6.mga4
+ Revision: 508460
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 361353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.1-4.mga3
+ Revision: 301576
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.1.1-3.mga3
+ Revision: 300121
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 0.1.1-2.mga3
+ Revision: 285579
- increm %%mkrel
- fixed dependency on libflac

* Sat Aug 25 2012 blue_prawn <blue_prawn> 0.1.1-1.mga3
+ Revision: 284021
- depends on ocaml-ogg
- imported package ocaml-flac

